PageRenderTime 88ms CodeModel.GetById 30ms app.highlight 49ms RepoModel.GetById 1ms app.codeStats 0ms

/crypto/heimdal/doc/Makefile.in

https://bitbucket.org/freebsd/freebsd-head/
Autoconf | 1123 lines | 1002 code | 96 blank | 25 comment | 186 complexity | 39d68369e2ca49409d5a9fa24aaa4e51 MD5 | raw file
   1# Makefile.in generated by automake 1.11.1 from Makefile.am.
   2# @configure_input@
   3
   4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
   5# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
   6# Inc.
   7# This Makefile.in is free software; the Free Software Foundation
   8# gives unlimited permission to copy and/or distribute it,
   9# with or without modifications, as long as this notice is preserved.
  10
  11# This program is distributed in the hope that it will be useful,
  12# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  13# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  14# PARTICULAR PURPOSE.
  15
  16@SET_MAKE@
  17
  18# $Id$
  19
  20# $Id$
  21
  22# $Id$
  23VPATH = @srcdir@
  24pkgdatadir = $(datadir)/@PACKAGE@
  25pkgincludedir = $(includedir)/@PACKAGE@
  26pkglibdir = $(libdir)/@PACKAGE@
  27pkglibexecdir = $(libexecdir)/@PACKAGE@
  28am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  29install_sh_DATA = $(install_sh) -c -m 644
  30install_sh_PROGRAM = $(install_sh) -c
  31install_sh_SCRIPT = $(install_sh) -c
  32INSTALL_HEADER = $(INSTALL_DATA)
  33transform = $(program_transform_name)
  34NORMAL_INSTALL = :
  35PRE_INSTALL = :
  36POST_INSTALL = :
  37NORMAL_UNINSTALL = :
  38PRE_UNINSTALL = :
  39POST_UNINSTALL = :
  40build_triplet = @build@
  41host_triplet = @host@
  42DIST_COMMON = $(heimdal_TEXINFOS) $(srcdir)/Makefile.am \
  43	$(srcdir)/Makefile.in $(top_srcdir)/Makefile.am.common \
  44	$(top_srcdir)/cf/Makefile.am.common mdate-sh
  45subdir = doc
  46ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  47am__aclocal_m4_deps = $(top_srcdir)/cf/aix.m4 \
  48	$(top_srcdir)/cf/auth-modules.m4 \
  49	$(top_srcdir)/cf/broken-getaddrinfo.m4 \
  50	$(top_srcdir)/cf/broken-glob.m4 \
  51	$(top_srcdir)/cf/broken-realloc.m4 \
  52	$(top_srcdir)/cf/broken-snprintf.m4 $(top_srcdir)/cf/broken.m4 \
  53	$(top_srcdir)/cf/broken2.m4 $(top_srcdir)/cf/c-attribute.m4 \
  54	$(top_srcdir)/cf/capabilities.m4 \
  55	$(top_srcdir)/cf/check-compile-et.m4 \
  56	$(top_srcdir)/cf/check-getpwnam_r-posix.m4 \
  57	$(top_srcdir)/cf/check-man.m4 \
  58	$(top_srcdir)/cf/check-netinet-ip-and-tcp.m4 \
  59	$(top_srcdir)/cf/check-type-extra.m4 \
  60	$(top_srcdir)/cf/check-var.m4 $(top_srcdir)/cf/check-x.m4 \
  61	$(top_srcdir)/cf/check-xau.m4 $(top_srcdir)/cf/crypto.m4 \
  62	$(top_srcdir)/cf/db.m4 $(top_srcdir)/cf/destdirs.m4 \
  63	$(top_srcdir)/cf/dispatch.m4 $(top_srcdir)/cf/dlopen.m4 \
  64	$(top_srcdir)/cf/find-func-no-libs.m4 \
  65	$(top_srcdir)/cf/find-func-no-libs2.m4 \
  66	$(top_srcdir)/cf/find-func.m4 \
  67	$(top_srcdir)/cf/find-if-not-broken.m4 \
  68	$(top_srcdir)/cf/framework-security.m4 \
  69	$(top_srcdir)/cf/have-struct-field.m4 \
  70	$(top_srcdir)/cf/have-type.m4 $(top_srcdir)/cf/irix.m4 \
  71	$(top_srcdir)/cf/krb-bigendian.m4 \
  72	$(top_srcdir)/cf/krb-func-getlogin.m4 \
  73	$(top_srcdir)/cf/krb-ipv6.m4 $(top_srcdir)/cf/krb-prog-ln-s.m4 \
  74	$(top_srcdir)/cf/krb-readline.m4 \
  75	$(top_srcdir)/cf/krb-struct-spwd.m4 \
  76	$(top_srcdir)/cf/krb-struct-winsize.m4 \
  77	$(top_srcdir)/cf/largefile.m4 $(top_srcdir)/cf/libtool.m4 \
  78	$(top_srcdir)/cf/ltoptions.m4 $(top_srcdir)/cf/ltsugar.m4 \
  79	$(top_srcdir)/cf/ltversion.m4 $(top_srcdir)/cf/lt~obsolete.m4 \
  80	$(top_srcdir)/cf/mips-abi.m4 $(top_srcdir)/cf/misc.m4 \
  81	$(top_srcdir)/cf/need-proto.m4 $(top_srcdir)/cf/osfc2.m4 \
  82	$(top_srcdir)/cf/otp.m4 $(top_srcdir)/cf/pkg.m4 \
  83	$(top_srcdir)/cf/proto-compat.m4 $(top_srcdir)/cf/pthreads.m4 \
  84	$(top_srcdir)/cf/resolv.m4 $(top_srcdir)/cf/retsigtype.m4 \
  85	$(top_srcdir)/cf/roken-frag.m4 \
  86	$(top_srcdir)/cf/socket-wrapper.m4 $(top_srcdir)/cf/sunos.m4 \
  87	$(top_srcdir)/cf/telnet.m4 $(top_srcdir)/cf/test-package.m4 \
  88	$(top_srcdir)/cf/version-script.m4 $(top_srcdir)/cf/wflags.m4 \
  89	$(top_srcdir)/cf/win32.m4 $(top_srcdir)/cf/with-all.m4 \
  90	$(top_srcdir)/acinclude.m4 $(top_srcdir)/configure.ac
  91am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  92	$(ACLOCAL_M4)
  93mkinstalldirs = $(install_sh) -d
  94CONFIG_HEADER = $(top_builddir)/include/config.h
  95CONFIG_CLEAN_FILES =
  96CONFIG_CLEAN_VPATH_FILES =
  97SOURCES =
  98DIST_SOURCES =
  99INFO_DEPS = $(srcdir)/heimdal.info $(srcdir)/hx509.info
 100am__TEXINFO_TEX_DIR = $(srcdir)
 101DVIS = heimdal.dvi hx509.dvi
 102PDFS = heimdal.pdf hx509.pdf
 103PSS = heimdal.ps hx509.ps
 104HTMLS = heimdal.html hx509.html
 105TEXINFOS = heimdal.texi hx509.texi
 106TEXI2PDF = $(TEXI2DVI) --pdf --batch
 107MAKEINFOHTML = $(MAKEINFO) --html
 108AM_MAKEINFOHTMLFLAGS = $(AM_MAKEINFOFLAGS)
 109DVIPS = dvips
 110am__installdirs = "$(DESTDIR)$(infodir)"
 111am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
 112am__vpath_adj = case $$p in \
 113    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
 114    *) f=$$p;; \
 115  esac;
 116am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
 117am__install_max = 40
 118am__nobase_strip_setup = \
 119  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
 120am__nobase_strip = \
 121  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
 122am__nobase_list = $(am__nobase_strip_setup); \
 123  for p in $$list; do echo "$$p $$p"; done | \
 124  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
 125  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
 126    if (++n[$$2] == $(am__install_max)) \
 127      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
 128    END { for (dir in files) print dir, files[dir] }'
 129am__base_list = \
 130  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
 131  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
 132DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 133ACLOCAL = @ACLOCAL@
 134AIX_EXTRA_KAFS = @AIX_EXTRA_KAFS@
 135AMTAR = @AMTAR@
 136AR = @AR@
 137ASN1_COMPILE = @ASN1_COMPILE@
 138ASN1_COMPILE_DEP = @ASN1_COMPILE_DEP@
 139AUTOCONF = @AUTOCONF@
 140AUTOHEADER = @AUTOHEADER@
 141AUTOMAKE = @AUTOMAKE@
 142AWK = @AWK@
 143CANONICAL_HOST = @CANONICAL_HOST@
 144CAPNG_CFLAGS = @CAPNG_CFLAGS@
 145CAPNG_LIBS = @CAPNG_LIBS@
 146CATMAN = @CATMAN@
 147CATMANEXT = @CATMANEXT@
 148CC = @CC@
 149CCDEPMODE = @CCDEPMODE@
 150CFLAGS = @CFLAGS@
 151COMPILE_ET = @COMPILE_ET@
 152CPP = @CPP@
 153CPPFLAGS = @CPPFLAGS@
 154CYGPATH_W = @CYGPATH_W@
 155DBHEADER = @DBHEADER@
 156DBLIB = @DBLIB@
 157DEFS = @DEFS@
 158DEPDIR = @DEPDIR@
 159DIR_com_err = @DIR_com_err@
 160DIR_hcrypto = @DIR_hcrypto@
 161DIR_hdbdir = @DIR_hdbdir@
 162DIR_roken = @DIR_roken@
 163DLLTOOL = @DLLTOOL@
 164DSYMUTIL = @DSYMUTIL@
 165DUMPBIN = @DUMPBIN@
 166ECHO_C = @ECHO_C@
 167ECHO_N = @ECHO_N@
 168ECHO_T = @ECHO_T@
 169EGREP = @EGREP@
 170EXEEXT = @EXEEXT@
 171FGREP = @FGREP@
 172GREP = @GREP@
 173GROFF = @GROFF@
 174INCLUDES_roken = @INCLUDES_roken@
 175INCLUDE_hcrypto = @INCLUDE_hcrypto@
 176INCLUDE_hesiod = @INCLUDE_hesiod@
 177INCLUDE_krb4 = @INCLUDE_krb4@
 178INCLUDE_libedit = @INCLUDE_libedit@
 179INCLUDE_libintl = @INCLUDE_libintl@
 180INCLUDE_openldap = @INCLUDE_openldap@
 181INCLUDE_readline = @INCLUDE_readline@
 182INCLUDE_sqlite3 = @INCLUDE_sqlite3@
 183INSTALL = @INSTALL@
 184INSTALL_DATA = @INSTALL_DATA@
 185INSTALL_PROGRAM = @INSTALL_PROGRAM@
 186INSTALL_SCRIPT = @INSTALL_SCRIPT@
 187INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
 188LD = @LD@
 189LDFLAGS = @LDFLAGS@
 190LDFLAGS_VERSION_SCRIPT = @LDFLAGS_VERSION_SCRIPT@
 191LEX = @LEX@
 192LEXLIB = @LEXLIB@
 193LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
 194LIBADD_roken = @LIBADD_roken@
 195LIBOBJS = @LIBOBJS@
 196LIBS = @LIBS@
 197LIBTOOL = @LIBTOOL@
 198LIB_AUTH_SUBDIRS = @LIB_AUTH_SUBDIRS@
 199LIB_NDBM = @LIB_NDBM@
 200LIB_XauFileName = @LIB_XauFileName@
 201LIB_XauReadAuth = @LIB_XauReadAuth@
 202LIB_XauWriteAuth = @LIB_XauWriteAuth@
 203LIB_bswap16 = @LIB_bswap16@
 204LIB_bswap32 = @LIB_bswap32@
 205LIB_com_err = @LIB_com_err@
 206LIB_com_err_a = @LIB_com_err_a@
 207LIB_com_err_so = @LIB_com_err_so@
 208LIB_crypt = @LIB_crypt@
 209LIB_db_create = @LIB_db_create@
 210LIB_dbm_firstkey = @LIB_dbm_firstkey@
 211LIB_dbopen = @LIB_dbopen@
 212LIB_dispatch_async_f = @LIB_dispatch_async_f@
 213LIB_dlopen = @LIB_dlopen@
 214LIB_dn_expand = @LIB_dn_expand@
 215LIB_dns_search = @LIB_dns_search@
 216LIB_door_create = @LIB_door_create@
 217LIB_freeaddrinfo = @LIB_freeaddrinfo@
 218LIB_gai_strerror = @LIB_gai_strerror@
 219LIB_getaddrinfo = @LIB_getaddrinfo@
 220LIB_gethostbyname = @LIB_gethostbyname@
 221LIB_gethostbyname2 = @LIB_gethostbyname2@
 222LIB_getnameinfo = @LIB_getnameinfo@
 223LIB_getpwnam_r = @LIB_getpwnam_r@
 224LIB_getsockopt = @LIB_getsockopt@
 225LIB_hcrypto = @LIB_hcrypto@
 226LIB_hcrypto_a = @LIB_hcrypto_a@
 227LIB_hcrypto_appl = @LIB_hcrypto_appl@
 228LIB_hcrypto_so = @LIB_hcrypto_so@
 229LIB_hesiod = @LIB_hesiod@
 230LIB_hstrerror = @LIB_hstrerror@
 231LIB_kdb = @LIB_kdb@
 232LIB_krb4 = @LIB_krb4@
 233LIB_libedit = @LIB_libedit@
 234LIB_libintl = @LIB_libintl@
 235LIB_loadquery = @LIB_loadquery@
 236LIB_logout = @LIB_logout@
 237LIB_logwtmp = @LIB_logwtmp@
 238LIB_openldap = @LIB_openldap@
 239LIB_openpty = @LIB_openpty@
 240LIB_otp = @LIB_otp@
 241LIB_pidfile = @LIB_pidfile@
 242LIB_readline = @LIB_readline@
 243LIB_res_ndestroy = @LIB_res_ndestroy@
 244LIB_res_nsearch = @LIB_res_nsearch@
 245LIB_res_search = @LIB_res_search@
 246LIB_roken = @LIB_roken@
 247LIB_security = @LIB_security@
 248LIB_setsockopt = @LIB_setsockopt@
 249LIB_socket = @LIB_socket@
 250LIB_sqlite3 = @LIB_sqlite3@
 251LIB_syslog = @LIB_syslog@
 252LIB_tgetent = @LIB_tgetent@
 253LIPO = @LIPO@
 254LN_S = @LN_S@
 255LTLIBOBJS = @LTLIBOBJS@
 256MAINT = @MAINT@
 257MAKEINFO = @MAKEINFO@
 258MANIFEST_TOOL = @MANIFEST_TOOL@
 259MKDIR_P = @MKDIR_P@
 260NM = @NM@
 261NMEDIT = @NMEDIT@
 262NO_AFS = @NO_AFS@
 263NROFF = @NROFF@
 264OBJDUMP = @OBJDUMP@
 265OBJEXT = @OBJEXT@
 266OTOOL = @OTOOL@
 267OTOOL64 = @OTOOL64@
 268PACKAGE = @PACKAGE@
 269PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
 270PACKAGE_NAME = @PACKAGE_NAME@
 271PACKAGE_STRING = @PACKAGE_STRING@
 272PACKAGE_TARNAME = @PACKAGE_TARNAME@
 273PACKAGE_URL = @PACKAGE_URL@
 274PACKAGE_VERSION = @PACKAGE_VERSION@
 275PATH_SEPARATOR = @PATH_SEPARATOR@
 276PKG_CONFIG = @PKG_CONFIG@
 277PTHREAD_CFLAGS = @PTHREAD_CFLAGS@
 278PTHREAD_LDADD = @PTHREAD_LDADD@
 279PTHREAD_LIBADD = @PTHREAD_LIBADD@
 280RANLIB = @RANLIB@
 281SED = @SED@
 282SET_MAKE = @SET_MAKE@
 283SHELL = @SHELL@
 284SLC = @SLC@
 285SLC_DEP = @SLC_DEP@
 286STRIP = @STRIP@
 287VERSION = @VERSION@
 288VERSIONING = @VERSIONING@
 289WFLAGS = @WFLAGS@
 290WFLAGS_NOIMPLICITINT = @WFLAGS_NOIMPLICITINT@
 291WFLAGS_NOUNUSED = @WFLAGS_NOUNUSED@
 292XMKMF = @XMKMF@
 293X_CFLAGS = @X_CFLAGS@
 294X_EXTRA_LIBS = @X_EXTRA_LIBS@
 295X_LIBS = @X_LIBS@
 296X_PRE_LIBS = @X_PRE_LIBS@
 297YACC = @YACC@
 298YFLAGS = @YFLAGS@
 299abs_builddir = @abs_builddir@
 300abs_srcdir = @abs_srcdir@
 301abs_top_builddir = @abs_top_builddir@
 302abs_top_srcdir = @abs_top_srcdir@
 303ac_ct_AR = @ac_ct_AR@
 304ac_ct_CC = @ac_ct_CC@
 305ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
 306am__include = @am__include@
 307am__leading_dot = @am__leading_dot@
 308am__quote = @am__quote@
 309am__tar = @am__tar@
 310am__untar = @am__untar@
 311bindir = @bindir@
 312build = @build@
 313build_alias = @build_alias@
 314build_cpu = @build_cpu@
 315build_os = @build_os@
 316build_vendor = @build_vendor@
 317builddir = @builddir@
 318datadir = @datadir@
 319datarootdir = @datarootdir@
 320docdir = @docdir@
 321dpagaix_cflags = @dpagaix_cflags@
 322dpagaix_ldadd = @dpagaix_ldadd@
 323dpagaix_ldflags = @dpagaix_ldflags@
 324dvidir = @dvidir@
 325exec_prefix = @exec_prefix@
 326host = @host@
 327host_alias = @host_alias@
 328host_cpu = @host_cpu@
 329host_os = @host_os@
 330host_vendor = @host_vendor@
 331htmldir = @htmldir@
 332includedir = @includedir@
 333infodir = @infodir@
 334install_sh = @install_sh@
 335libdir = @libdir@
 336libexecdir = @libexecdir@
 337localedir = @localedir@
 338localstatedir = @localstatedir@
 339mandir = @mandir@
 340mkdir_p = @mkdir_p@
 341oldincludedir = @oldincludedir@
 342pdfdir = @pdfdir@
 343prefix = @prefix@
 344program_transform_name = @program_transform_name@
 345psdir = @psdir@
 346sbindir = @sbindir@
 347sharedstatedir = @sharedstatedir@
 348srcdir = @srcdir@
 349subdirs = @subdirs@
 350sysconfdir = @sysconfdir@
 351target_alias = @target_alias@
 352top_build_prefix = @top_build_prefix@
 353top_builddir = @top_builddir@
 354top_srcdir = @top_srcdir@
 355SUFFIXES = .et .h .x .z .hx .1 .3 .5 .8 .cat1 .cat3 .cat5 .cat8
 356DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/include -I$(top_srcdir)/include
 357AM_CPPFLAGS = $(INCLUDES_roken)
 358@do_roken_rename_TRUE@ROKEN_RENAME = -DROKEN_RENAME
 359AM_CFLAGS = $(WFLAGS)
 360CP = cp
 361buildinclude = $(top_builddir)/include
 362LIB_el_init = @LIB_el_init@
 363LIB_getattr = @LIB_getattr@
 364LIB_getpwent_r = @LIB_getpwent_r@
 365LIB_odm_initialize = @LIB_odm_initialize@
 366LIB_setpcred = @LIB_setpcred@
 367HESIODLIB = @HESIODLIB@
 368HESIODINCLUDE = @HESIODINCLUDE@
 369libexec_heimdaldir = $(libexecdir)/heimdal
 370NROFF_MAN = groff -mandoc -Tascii
 371LIB_kafs = $(top_builddir)/lib/kafs/libkafs.la $(AIX_EXTRA_KAFS)
 372@KRB5_TRUE@LIB_krb5 = $(top_builddir)/lib/krb5/libkrb5.la \
 373@KRB5_TRUE@	$(top_builddir)/lib/asn1/libasn1.la
 374
 375@KRB5_TRUE@LIB_gssapi = $(top_builddir)/lib/gssapi/libgssapi.la
 376LIB_heimbase = $(top_builddir)/base/libheimbase.la
 377@DCE_TRUE@LIB_kdfs = $(top_builddir)/lib/kdfs/libkdfs.la
 378AUTOMAKE_OPTIONS = no-texinfo.tex
 379MAKEINFOFLAGS = --css-include=$(srcdir)/heimdal.css
 380TEXI2DVI = true # ARGH, make distcheck can't be disabled to not build dvifiles
 381info_TEXINFOS = heimdal.texi hx509.texi
 382dxy_subst = sed -e 's,[@]srcdir[@],$(srcdir),g' \
 383	-e 's,[@]objdir[@],.,g' \
 384	-e 's,[@]PACKAGE_VERSION[@],$(PACKAGE_VERSION),g'
 385
 386texi_subst = sed -e 's,[@]dbdir[@],$(localstatedir),g' \
 387	-e 's,[@]PACKAGE_VERSION[@],$(PACKAGE_VERSION),g'
 388
 389PROJECTS = hcrypto hdb hx509 gssapi krb5 ntlm wind 
 390heimdal_TEXINFOS = \
 391	ack.texi \
 392	apps.texi \
 393	copyright.texi \
 394	heimdal.texi \
 395	install.texi \
 396	intro.texi \
 397	kerberos4.texi \
 398	migration.texi \
 399	misc.texi \
 400	programming.texi \
 401	setup.texi \
 402	vars.texi \
 403	whatis.texi \
 404	win2k.texi
 405
 406EXTRA_DIST = \
 407	NTMakefile \
 408	doxyout \
 409	footer.html \
 410	gssapi.din \
 411	hdb.din \
 412	hcrypto.din \
 413	header.html \
 414	heimdal.css \
 415	hx509.din \
 416	krb5.din \
 417	ntlm.din \
 418	init-creds \
 419	latin1.tex \
 420	layman.asc \
 421	doxytmpl.dxy \
 422	wind.din \
 423	vars.tin
 424
 425CLEANFILES = \
 426	hcrypto.dxy* \
 427	hx509.dxy* \
 428	hdb.dxy* \
 429	gssapi.dxy* \
 430	krb5.dxy* \
 431	ntlm.dxy* \
 432	wind.dxy* \
 433	vars.texi*
 434
 435all: all-am
 436
 437.SUFFIXES:
 438.SUFFIXES: .et .h .x .z .hx .1 .3 .5 .8 .cat1 .cat3 .cat5 .cat8 .c .dvi .html .info .pdf .ps .texi
 439$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.am.common $(top_srcdir)/cf/Makefile.am.common $(am__configure_deps)
 440	@for dep in $?; do \
 441	  case '$(am__configure_deps)' in \
 442	    *$$dep*) \
 443	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
 444	        && { if test -f $@; then exit 0; else break; fi; }; \
 445	      exit 1;; \
 446	  esac; \
 447	done; \
 448	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign doc/Makefile'; \
 449	$(am__cd) $(top_srcdir) && \
 450	  $(AUTOMAKE) --foreign doc/Makefile
 451.PRECIOUS: Makefile
 452Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
 453	@case '$?' in \
 454	  *config.status*) \
 455	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
 456	  *) \
 457	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
 458	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
 459	esac;
 460
 461$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
 462	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
 463
 464$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
 465	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
 466$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
 467	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
 468$(am__aclocal_m4_deps):
 469
 470mostlyclean-libtool:
 471	-rm -f *.lo
 472
 473clean-libtool:
 474	-rm -rf .libs _libs
 475
 476.texi.info:
 477	restore=: && backupdir="$(am__leading_dot)am$$$$" && \
 478	am__cwd=`pwd` && $(am__cd) $(srcdir) && \
 479	rm -rf $$backupdir && mkdir $$backupdir && \
 480	if ($(MAKEINFO) --version) >/dev/null 2>&1; then \
 481	  for f in $@ $@-[0-9] $@-[0-9][0-9] $(@:.info=).i[0-9] $(@:.info=).i[0-9][0-9]; do \
 482	    if test -f $$f; then mv $$f $$backupdir; restore=mv; else :; fi; \
 483	  done; \
 484	else :; fi && \
 485	cd "$$am__cwd"; \
 486	if $(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -I $(srcdir) \
 487	 -o $@ $<; \
 488	then \
 489	  rc=0; \
 490	  $(am__cd) $(srcdir); \
 491	else \
 492	  rc=$$?; \
 493	  $(am__cd) $(srcdir) && \
 494	  $$restore $$backupdir/* `echo "./$@" | sed 's|[^/]*$$||'`; \
 495	fi; \
 496	rm -rf $$backupdir; exit $$rc
 497
 498.texi.dvi:
 499	TEXINPUTS="$(am__TEXINFO_TEX_DIR)$(PATH_SEPARATOR)$$TEXINPUTS" \
 500	MAKEINFO='$(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -I $(srcdir)' \
 501	$(TEXI2DVI) $<
 502
 503.texi.pdf:
 504	TEXINPUTS="$(am__TEXINFO_TEX_DIR)$(PATH_SEPARATOR)$$TEXINPUTS" \
 505	MAKEINFO='$(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -I $(srcdir)' \
 506	$(TEXI2PDF) $<
 507
 508.texi.html:
 509	rm -rf $(@:.html=.htp)
 510	if $(MAKEINFOHTML) $(AM_MAKEINFOHTMLFLAGS) $(MAKEINFOFLAGS) -I $(srcdir) \
 511	 -o $(@:.html=.htp) $<; \
 512	then \
 513	  rm -rf $@; \
 514	  if test ! -d $(@:.html=.htp) && test -d $(@:.html=); then \
 515	    mv $(@:.html=) $@; else mv $(@:.html=.htp) $@; fi; \
 516	else \
 517	  if test ! -d $(@:.html=.htp) && test -d $(@:.html=); then \
 518	    rm -rf $(@:.html=); else rm -Rf $(@:.html=.htp) $@; fi; \
 519	  exit 1; \
 520	fi
 521$(srcdir)/heimdal.info: heimdal.texi $(heimdal_TEXINFOS)
 522heimdal.dvi: heimdal.texi $(heimdal_TEXINFOS)
 523heimdal.pdf: heimdal.texi $(heimdal_TEXINFOS)
 524heimdal.html: heimdal.texi $(heimdal_TEXINFOS)
 525$(srcdir)/hx509.info: hx509.texi 
 526hx509.dvi: hx509.texi 
 527hx509.pdf: hx509.texi 
 528hx509.html: hx509.texi 
 529.dvi.ps:
 530	TEXINPUTS="$(am__TEXINFO_TEX_DIR)$(PATH_SEPARATOR)$$TEXINPUTS" \
 531	$(DVIPS) -o $@ $<
 532
 533uninstall-dvi-am:
 534	@$(NORMAL_UNINSTALL)
 535	@list='$(DVIS)'; test -n "$(dvidir)" || list=; \
 536	for p in $$list; do \
 537	  $(am__strip_dir) \
 538	  echo " rm -f '$(DESTDIR)$(dvidir)/$$f'"; \
 539	  rm -f "$(DESTDIR)$(dvidir)/$$f"; \
 540	done
 541
 542uninstall-html-am:
 543	@$(NORMAL_UNINSTALL)
 544	@list='$(HTMLS)'; test -n "$(htmldir)" || list=; \
 545	for p in $$list; do \
 546	  $(am__strip_dir) \
 547	  echo " rm -rf '$(DESTDIR)$(htmldir)/$$f'"; \
 548	  rm -rf "$(DESTDIR)$(htmldir)/$$f"; \
 549	done
 550
 551uninstall-info-am:
 552	@$(PRE_UNINSTALL)
 553	@if test -d '$(DESTDIR)$(infodir)' && \
 554	    (install-info --version && \
 555	     install-info --version 2>&1 | sed 1q | grep -i -v debian) >/dev/null 2>&1; then \
 556	  list='$(INFO_DEPS)'; \
 557	  for file in $$list; do \
 558	    relfile=`echo "$$file" | sed 's|^.*/||'`; \
 559	    echo " install-info --info-dir='$(DESTDIR)$(infodir)' --remove '$(DESTDIR)$(infodir)/$$relfile'"; \
 560	    if install-info --info-dir="$(DESTDIR)$(infodir)" --remove "$(DESTDIR)$(infodir)/$$relfile"; \
 561	    then :; else test ! -f "$(DESTDIR)$(infodir)/$$relfile" || exit 1; fi; \
 562	  done; \
 563	else :; fi
 564	@$(NORMAL_UNINSTALL)
 565	@list='$(INFO_DEPS)'; \
 566	for file in $$list; do \
 567	  relfile=`echo "$$file" | sed 's|^.*/||'`; \
 568	  relfile_i=`echo "$$relfile" | sed 's|\.info$$||;s|$$|.i|'`; \
 569	  (if test -d "$(DESTDIR)$(infodir)" && cd "$(DESTDIR)$(infodir)"; then \
 570	     echo " cd '$(DESTDIR)$(infodir)' && rm -f $$relfile $$relfile-[0-9] $$relfile-[0-9][0-9] $$relfile_i[0-9] $$relfile_i[0-9][0-9]"; \
 571	     rm -f $$relfile $$relfile-[0-9] $$relfile-[0-9][0-9] $$relfile_i[0-9] $$relfile_i[0-9][0-9]; \
 572	   else :; fi); \
 573	done
 574
 575uninstall-pdf-am:
 576	@$(NORMAL_UNINSTALL)
 577	@list='$(PDFS)'; test -n "$(pdfdir)" || list=; \
 578	for p in $$list; do \
 579	  $(am__strip_dir) \
 580	  echo " rm -f '$(DESTDIR)$(pdfdir)/$$f'"; \
 581	  rm -f "$(DESTDIR)$(pdfdir)/$$f"; \
 582	done
 583
 584uninstall-ps-am:
 585	@$(NORMAL_UNINSTALL)
 586	@list='$(PSS)'; test -n "$(psdir)" || list=; \
 587	for p in $$list; do \
 588	  $(am__strip_dir) \
 589	  echo " rm -f '$(DESTDIR)$(psdir)/$$f'"; \
 590	  rm -f "$(DESTDIR)$(psdir)/$$f"; \
 591	done
 592
 593dist-info: $(INFO_DEPS)
 594	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
 595	list='$(INFO_DEPS)'; \
 596	for base in $$list; do \
 597	  case $$base in \
 598	    $(srcdir)/*) base=`echo "$$base" | sed "s|^$$srcdirstrip/||"`;; \
 599	  esac; \
 600	  if test -f $$base; then d=.; else d=$(srcdir); fi; \
 601	  base_i=`echo "$$base" | sed 's|\.info$$||;s|$$|.i|'`; \
 602	  for file in $$d/$$base $$d/$$base-[0-9] $$d/$$base-[0-9][0-9] $$d/$$base_i[0-9] $$d/$$base_i[0-9][0-9]; do \
 603	    if test -f $$file; then \
 604	      relfile=`expr "$$file" : "$$d/\(.*\)"`; \
 605	      test -f "$(distdir)/$$relfile" || \
 606		cp -p $$file "$(distdir)/$$relfile"; \
 607	    else :; fi; \
 608	  done; \
 609	done
 610
 611mostlyclean-aminfo:
 612	-rm -rf heimdal.aux heimdal.cp heimdal.cps heimdal.fn heimdal.fns \
 613	  heimdal.ky heimdal.kys heimdal.log heimdal.pg heimdal.tmp \
 614	  heimdal.toc heimdal.tp heimdal.tps heimdal.vr heimdal.vrs \
 615	  hx509.aux hx509.cp hx509.cps hx509.fn hx509.fns hx509.ky \
 616	  hx509.kys hx509.log hx509.pg hx509.tmp hx509.toc hx509.tp \
 617	  hx509.tps hx509.vr hx509.vrs
 618
 619clean-aminfo:
 620	-test -z "heimdal.dvi heimdal.pdf heimdal.ps heimdal.html hx509.dvi hx509.pdf \
 621	  hx509.ps hx509.html" \
 622	|| rm -rf heimdal.dvi heimdal.pdf heimdal.ps heimdal.html hx509.dvi hx509.pdf \
 623	  hx509.ps hx509.html
 624
 625maintainer-clean-aminfo:
 626	@list='$(INFO_DEPS)'; for i in $$list; do \
 627	  i_i=`echo "$$i" | sed 's|\.info$$||;s|$$|.i|'`; \
 628	  echo " rm -f $$i $$i-[0-9] $$i-[0-9][0-9] $$i_i[0-9] $$i_i[0-9][0-9]"; \
 629	  rm -f $$i $$i-[0-9] $$i-[0-9][0-9] $$i_i[0-9] $$i_i[0-9][0-9]; \
 630	done
 631tags: TAGS
 632TAGS:
 633
 634ctags: CTAGS
 635CTAGS:
 636
 637
 638distdir: $(DISTFILES)
 639	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
 640	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
 641	list='$(DISTFILES)'; \
 642	  dist_files=`for file in $$list; do echo $$file; done | \
 643	  sed -e "s|^$$srcdirstrip/||;t" \
 644	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
 645	case $$dist_files in \
 646	  */*) $(MKDIR_P) `echo "$$dist_files" | \
 647			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
 648			   sort -u` ;; \
 649	esac; \
 650	for file in $$dist_files; do \
 651	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
 652	  if test -d $$d/$$file; then \
 653	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
 654	    if test -d "$(distdir)/$$file"; then \
 655	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
 656	    fi; \
 657	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
 658	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
 659	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
 660	    fi; \
 661	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
 662	  else \
 663	    test -f "$(distdir)/$$file" \
 664	    || cp -p $$d/$$file "$(distdir)/$$file" \
 665	    || exit 1; \
 666	  fi; \
 667	done
 668	$(MAKE) $(AM_MAKEFLAGS) \
 669	  top_distdir="$(top_distdir)" distdir="$(distdir)" \
 670	  dist-info dist-hook
 671check-am: all-am
 672	$(MAKE) $(AM_MAKEFLAGS) check-local
 673check: check-am
 674all-am: Makefile $(INFO_DEPS) all-local
 675installdirs:
 676	for dir in "$(DESTDIR)$(infodir)"; do \
 677	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
 678	done
 679install: install-am
 680install-exec: install-exec-am
 681install-data: install-data-am
 682uninstall: uninstall-am
 683
 684install-am: all-am
 685	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
 686
 687installcheck: installcheck-am
 688install-strip:
 689	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
 690	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
 691	  `test -z '$(STRIP)' || \
 692	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
 693mostlyclean-generic:
 694
 695clean-generic:
 696	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
 697
 698distclean-generic:
 699	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
 700	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
 701
 702maintainer-clean-generic:
 703	@echo "This command is intended for maintainers to use"
 704	@echo "it deletes files that may require special tools to rebuild."
 705clean: clean-am
 706
 707clean-am: clean-aminfo clean-generic clean-libtool mostlyclean-am
 708
 709distclean: distclean-am
 710	-rm -f Makefile
 711distclean-am: clean-am distclean-generic
 712
 713dvi: dvi-am
 714
 715dvi-am: $(DVIS)
 716
 717html: html-am
 718
 719html-am: $(HTMLS)
 720
 721info: info-am
 722
 723info-am: $(INFO_DEPS)
 724
 725install-data-am: install-info-am
 726	@$(NORMAL_INSTALL)
 727	$(MAKE) $(AM_MAKEFLAGS) install-data-hook
 728install-dvi: install-dvi-am
 729
 730install-dvi-am: $(DVIS)
 731	@$(NORMAL_INSTALL)
 732	test -z "$(dvidir)" || $(MKDIR_P) "$(DESTDIR)$(dvidir)"
 733	@list='$(DVIS)'; test -n "$(dvidir)" || list=; \
 734	for p in $$list; do \
 735	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
 736	  echo "$$d$$p"; \
 737	done | $(am__base_list) | \
 738	while read files; do \
 739	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(dvidir)'"; \
 740	  $(INSTALL_DATA) $$files "$(DESTDIR)$(dvidir)" || exit $$?; \
 741	done
 742install-exec-am:
 743	@$(NORMAL_INSTALL)
 744	$(MAKE) $(AM_MAKEFLAGS) install-exec-hook
 745install-html: install-html-am
 746
 747install-html-am: $(HTMLS)
 748	@$(NORMAL_INSTALL)
 749	test -z "$(htmldir)" || $(MKDIR_P) "$(DESTDIR)$(htmldir)"
 750	@list='$(HTMLS)'; list2=; test -n "$(htmldir)" || list=; \
 751	for p in $$list; do \
 752	  if test -f "$$p" || test -d "$$p"; then d=; else d="$(srcdir)/"; fi; \
 753	  $(am__strip_dir) \
 754	  if test -d "$$d$$p"; then \
 755	    echo " $(MKDIR_P) '$(DESTDIR)$(htmldir)/$$f'"; \
 756	    $(MKDIR_P) "$(DESTDIR)$(htmldir)/$$f" || exit 1; \
 757	    echo " $(INSTALL_DATA) '$$d$$p'/* '$(DESTDIR)$(htmldir)/$$f'"; \
 758	    $(INSTALL_DATA) "$$d$$p"/* "$(DESTDIR)$(htmldir)/$$f" || exit $$?; \
 759	  else \
 760	    list2="$$list2 $$d$$p"; \
 761	  fi; \
 762	done; \
 763	test -z "$$list2" || { echo "$$list2" | $(am__base_list) | \
 764	while read files; do \
 765	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(htmldir)'"; \
 766	  $(INSTALL_DATA) $$files "$(DESTDIR)$(htmldir)" || exit $$?; \
 767	done; }
 768install-info: install-info-am
 769
 770install-info-am: $(INFO_DEPS)
 771	@$(NORMAL_INSTALL)
 772	test -z "$(infodir)" || $(MKDIR_P) "$(DESTDIR)$(infodir)"
 773	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
 774	list='$(INFO_DEPS)'; test -n "$(infodir)" || list=; \
 775	for file in $$list; do \
 776	  case $$file in \
 777	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
 778	  esac; \
 779	  if test -f $$file; then d=.; else d=$(srcdir); fi; \
 780	  file_i=`echo "$$file" | sed 's|\.info$$||;s|$$|.i|'`; \
 781	  for ifile in $$d/$$file $$d/$$file-[0-9] $$d/$$file-[0-9][0-9] \
 782	               $$d/$$file_i[0-9] $$d/$$file_i[0-9][0-9] ; do \
 783	    if test -f $$ifile; then \
 784	      echo "$$ifile"; \
 785	    else : ; fi; \
 786	  done; \
 787	done | $(am__base_list) | \
 788	while read files; do \
 789	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(infodir)'"; \
 790	  $(INSTALL_DATA) $$files "$(DESTDIR)$(infodir)" || exit $$?; done
 791	@$(POST_INSTALL)
 792	@if (install-info --version && \
 793	     install-info --version 2>&1 | sed 1q | grep -i -v debian) >/dev/null 2>&1; then \
 794	  list='$(INFO_DEPS)'; test -n "$(infodir)" || list=; \
 795	  for file in $$list; do \
 796	    relfile=`echo "$$file" | sed 's|^.*/||'`; \
 797	    echo " install-info --info-dir='$(DESTDIR)$(infodir)' '$(DESTDIR)$(infodir)/$$relfile'";\
 798	    install-info --info-dir="$(DESTDIR)$(infodir)" "$(DESTDIR)$(infodir)/$$relfile" || :;\
 799	  done; \
 800	else : ; fi
 801install-man:
 802
 803install-pdf: install-pdf-am
 804
 805install-pdf-am: $(PDFS)
 806	@$(NORMAL_INSTALL)
 807	test -z "$(pdfdir)" || $(MKDIR_P) "$(DESTDIR)$(pdfdir)"
 808	@list='$(PDFS)'; test -n "$(pdfdir)" || list=; \
 809	for p in $$list; do \
 810	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
 811	  echo "$$d$$p"; \
 812	done | $(am__base_list) | \
 813	while read files; do \
 814	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(pdfdir)'"; \
 815	  $(INSTALL_DATA) $$files "$(DESTDIR)$(pdfdir)" || exit $$?; done
 816install-ps: install-ps-am
 817
 818install-ps-am: $(PSS)
 819	@$(NORMAL_INSTALL)
 820	test -z "$(psdir)" || $(MKDIR_P) "$(DESTDIR)$(psdir)"
 821	@list='$(PSS)'; test -n "$(psdir)" || list=; \
 822	for p in $$list; do \
 823	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
 824	  echo "$$d$$p"; \
 825	done | $(am__base_list) | \
 826	while read files; do \
 827	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(psdir)'"; \
 828	  $(INSTALL_DATA) $$files "$(DESTDIR)$(psdir)" || exit $$?; done
 829installcheck-am:
 830
 831maintainer-clean: maintainer-clean-am
 832	-rm -f Makefile
 833maintainer-clean-am: distclean-am maintainer-clean-aminfo \
 834	maintainer-clean-generic
 835
 836mostlyclean: mostlyclean-am
 837
 838mostlyclean-am: mostlyclean-aminfo mostlyclean-generic \
 839	mostlyclean-libtool
 840
 841pdf: pdf-am
 842
 843pdf-am: $(PDFS)
 844
 845ps: ps-am
 846
 847ps-am: $(PSS)
 848
 849uninstall-am: uninstall-dvi-am uninstall-html-am uninstall-info-am \
 850	uninstall-pdf-am uninstall-ps-am
 851	@$(NORMAL_INSTALL)
 852	$(MAKE) $(AM_MAKEFLAGS) uninstall-hook
 853.MAKE: check-am install-am install-data-am install-exec-am \
 854	install-strip uninstall-am
 855
 856.PHONY: all all-am all-local check check-am check-local clean \
 857	clean-aminfo clean-generic clean-libtool dist-hook dist-info \
 858	distclean distclean-generic distclean-libtool distdir dvi \
 859	dvi-am html html-am info info-am install install-am \
 860	install-data install-data-am install-data-hook install-dvi \
 861	install-dvi-am install-exec install-exec-am install-exec-hook \
 862	install-html install-html-am install-info install-info-am \
 863	install-man install-pdf install-pdf-am install-ps \
 864	install-ps-am install-strip installcheck installcheck-am \
 865	installdirs maintainer-clean maintainer-clean-aminfo \
 866	maintainer-clean-generic mostlyclean mostlyclean-aminfo \
 867	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
 868	uninstall uninstall-am uninstall-dvi-am uninstall-hook \
 869	uninstall-html-am uninstall-info-am uninstall-pdf-am \
 870	uninstall-ps-am
 871
 872
 873install-suid-programs:
 874	@foo='$(bin_SUIDS)'; \
 875	for file in $$foo; do \
 876	x=$(DESTDIR)$(bindir)/$$file; \
 877	if chown 0:0 $$x && chmod u+s $$x; then :; else \
 878	echo "*"; \
 879	echo "* Failed to install $$x setuid root"; \
 880	echo "*"; \
 881	fi; done
 882
 883install-exec-hook: install-suid-programs
 884
 885install-build-headers:: $(include_HEADERS) $(dist_include_HEADERS) $(nodist_include_HEADERS) $(build_HEADERZ) $(nobase_include_HEADERS)
 886	@foo='$(include_HEADERS) $(dist_include_HEADERS) $(nodist_include_HEADERS) $(build_HEADERZ)'; \
 887	for f in $$foo; do \
 888		f=`basename $$f`; \
 889		if test -f "$(srcdir)/$$f"; then file="$(srcdir)/$$f"; \
 890		else file="$$f"; fi; \
 891		if cmp -s  $$file $(buildinclude)/$$f 2> /dev/null ; then \
 892		: ; else \
 893			echo " $(CP) $$file $(buildinclude)/$$f"; \
 894			$(CP) $$file $(buildinclude)/$$f; \
 895		fi ; \
 896	done ; \
 897	foo='$(nobase_include_HEADERS)'; \
 898	for f in $$foo; do \
 899		if test -f "$(srcdir)/$$f"; then file="$(srcdir)/$$f"; \
 900		else file="$$f"; fi; \
 901		$(mkdir_p) $(buildinclude)/`dirname $$f` ; \
 902		if cmp -s  $$file $(buildinclude)/$$f 2> /dev/null ; then \
 903		: ; else \
 904			echo " $(CP) $$file $(buildinclude)/$$f"; \
 905			$(CP) $$file $(buildinclude)/$$f; \
 906		fi ; \
 907	done
 908
 909all-local: install-build-headers
 910
 911check-local::
 912	@if test '$(CHECK_LOCAL)' = "no-check-local"; then \
 913	  foo=''; elif test '$(CHECK_LOCAL)'; then \
 914	  foo='$(CHECK_LOCAL)'; else \
 915	  foo='$(PROGRAMS)'; fi; \
 916	  if test "$$foo"; then \
 917	  failed=0; all=0; \
 918	  for i in $$foo; do \
 919	    all=`expr $$all + 1`; \
 920	    if (./$$i --version && ./$$i --help) > /dev/null 2>&1; then \
 921	      echo "PASS: $$i"; \
 922	    else \
 923	      echo "FAIL: $$i"; \
 924	      failed=`expr $$failed + 1`; \
 925	    fi; \
 926	  done; \
 927	  if test "$$failed" -eq 0; then \
 928	    banner="All $$all tests passed"; \
 929	  else \
 930	    banner="$$failed of $$all tests failed"; \
 931	  fi; \
 932	  dashes=`echo "$$banner" | sed s/./=/g`; \
 933	  echo "$$dashes"; \
 934	  echo "$$banner"; \
 935	  echo "$$dashes"; \
 936	  test "$$failed" -eq 0 || exit 1; \
 937	fi
 938
 939.x.c:
 940	@cmp -s $< $@ 2> /dev/null || cp $< $@
 941
 942.hx.h:
 943	@cmp -s $< $@ 2> /dev/null || cp $< $@
 944#NROFF_MAN = nroff -man
 945.1.cat1:
 946	$(NROFF_MAN) $< > $@
 947.3.cat3:
 948	$(NROFF_MAN) $< > $@
 949.5.cat5:
 950	$(NROFF_MAN) $< > $@
 951.8.cat8:
 952	$(NROFF_MAN) $< > $@
 953
 954dist-cat1-mans:
 955	@foo='$(man1_MANS)'; \
 956	bar='$(man_MANS)'; \
 957	for i in $$bar; do \
 958	case $$i in \
 959	*.1) foo="$$foo $$i";; \
 960	esac; done ;\
 961	for i in $$foo; do \
 962		x=`echo $$i | sed 's/\.[^.]*$$/.cat1/'`; \
 963		echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
 964		$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
 965	done
 966
 967dist-cat3-mans:
 968	@foo='$(man3_MANS)'; \
 969	bar='$(man_MANS)'; \
 970	for i in $$bar; do \
 971	case $$i in \
 972	*.3) foo="$$foo $$i";; \
 973	esac; done ;\
 974	for i in $$foo; do \
 975		x=`echo $$i | sed 's/\.[^.]*$$/.cat3/'`; \
 976		echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
 977		$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
 978	done
 979
 980dist-cat5-mans:
 981	@foo='$(man5_MANS)'; \
 982	bar='$(man_MANS)'; \
 983	for i in $$bar; do \
 984	case $$i in \
 985	*.5) foo="$$foo $$i";; \
 986	esac; done ;\
 987	for i in $$foo; do \
 988		x=`echo $$i | sed 's/\.[^.]*$$/.cat5/'`; \
 989		echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
 990		$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
 991	done
 992
 993dist-cat8-mans:
 994	@foo='$(man8_MANS)'; \
 995	bar='$(man_MANS)'; \
 996	for i in $$bar; do \
 997	case $$i in \
 998	*.8) foo="$$foo $$i";; \
 999	esac; done ;\
1000	for i in $$foo; do \
1001		x=`echo $$i | sed 's/\.[^.]*$$/.cat8/'`; \
1002		echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
1003		$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
1004	done
1005
1006dist-hook: dist-cat1-mans dist-cat3-mans dist-cat5-mans dist-cat8-mans
1007
1008install-cat-mans:
1009	$(SHELL) $(top_srcdir)/cf/install-catman.sh install "$(INSTALL_DATA)" "$(mkinstalldirs)" "$(srcdir)" "$(DESTDIR)$(mandir)" '$(CATMANEXT)' $(man_MANS) $(man1_MANS) $(man3_MANS) $(man5_MANS) $(man8_MANS)
1010
1011uninstall-cat-mans:
1012	$(SHELL) $(top_srcdir)/cf/install-catman.sh uninstall "$(INSTALL_DATA)" "$(mkinstalldirs)" "$(srcdir)" "$(DESTDIR)$(mandir)" '$(CATMANEXT)' $(man_MANS) $(man1_MANS) $(man3_MANS) $(man5_MANS) $(man8_MANS)
1013
1014install-data-hook: install-cat-mans
1015uninstall-hook: uninstall-cat-mans
1016
1017.et.h:
1018	$(COMPILE_ET) $<
1019.et.c:
1020	$(COMPILE_ET) $<
1021
1022#
1023# Useful target for debugging
1024#
1025
1026check-valgrind:
1027	tobjdir=`cd $(top_builddir) && pwd` ; \
1028	tsrcdir=`cd $(top_srcdir) && pwd` ; \
1029	env TESTS_ENVIRONMENT="$${tsrcdir}/cf/maybe-valgrind.sh -s $${tsrcdir} -o $${tobjdir}" make check
1030
1031#
1032# Target to please samba build farm, builds distfiles in-tree.
1033# Will break when automake changes...
1034#
1035
1036distdir-in-tree: $(DISTFILES) $(INFO_DEPS)
1037	list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
1038	  if test "$$subdir" != .; then \
1039	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) distdir-in-tree) ; \
1040	  fi ; \
1041	done
1042
1043hcrypto.dxy: hcrypto.din Makefile
1044	$(dxy_subst) < $(srcdir)/hcrypto.din > hcrypto.dxy.tmp
1045	chmod +x hcrypto.dxy.tmp
1046	mv hcrypto.dxy.tmp hcrypto.dxy
1047
1048hdb.dxy: hdb.din Makefile
1049	$(dxy_subst) < $(srcdir)/hdb.din > hdb.dxy.tmp
1050	chmod +x hdb.dxy.tmp
1051	mv hdb.dxy.tmp hdb.dxy
1052
1053hx509.dxy: hx509.din Makefile
1054	$(dxy_subst) < $(srcdir)/hx509.din > hx509.dxy.tmp
1055	chmod +x hx509.dxy.tmp
1056	mv hx509.dxy.tmp hx509.dxy
1057
1058gssapi.dxy: gssapi.din Makefile
1059	$(dxy_subst) < $(srcdir)/gssapi.din > gssapi.dxy.tmp
1060	chmod +x gssapi.dxy.tmp
1061	mv gssapi.dxy.tmp gssapi.dxy
1062
1063krb5.dxy: krb5.din Makefile
1064	$(dxy_subst) < $(srcdir)/krb5.din > krb5.dxy.tmp
1065	chmod +x krb5.dxy.tmp
1066	mv krb5.dxy.tmp krb5.dxy
1067
1068ntlm.dxy: ntlm.din Makefile
1069	$(dxy_subst) < $(srcdir)/ntlm.din > ntlm.dxy.tmp
1070	chmod +x ntlm.dxy.tmp
1071	mv ntlm.dxy.tmp ntlm.dxy
1072
1073wind.dxy: wind.din Makefile
1074	$(dxy_subst) < $(srcdir)/wind.din > wind.dxy.tmp
1075	chmod +x wind.dxy.tmp
1076	mv wind.dxy.tmp wind.dxy
1077
1078vars.texi: vars.tin Makefile
1079	$(texi_subst) < $(srcdir)/vars.tin > vars.texi.tmp
1080	chmod +x vars.texi.tmp
1081	mv vars.texi.tmp vars.texi
1082
1083doxyout doxygen: hdb.dxy hx509.dxy hcrypto.dxy gssapi.dxy krb5.dxy ntlm.dxy wind.dxy
1084	@find $(srcdir)/doxyout -type d ! -perm -200 -exec chmod u+w {} ';' ; \
1085	rm -rf $(srcdir)/doxyout ; \
1086	mkdir $(srcdir)/doxyout ; \
1087	for a in $(PROJECTS) ; do \
1088		echo $$a ; \
1089		doxygen $$a.dxy; \
1090		(cd $(srcdir)/doxyout && find $$a/man -type f > $$a/manpages ) ; \
1091	done
1092
1093install-data-hook: install-doxygen-manpage
1094uninstall-hook: uninstall-doxygen-manpage
1095dist-hook: doxygen
1096
1097install-doxygen-manpage:
1098	for a in $(PROJECTS) ; do \
1099		f="$(srcdir)/doxyout/$$a/manpages" ; \
1100		test -f $$f || continue ; \
1101		echo "install $$a manual pages $$(wc -l < $$f)" ; \
1102		while read x ; do \
1103			section=`echo "$$x" | sed 's/.*\.\([0-9]\)/\1/'` ; \
1104			$(mkinstalldirs) "$(DESTDIR)$(mandir)/man$$section" ; \
1105			$(INSTALL_DATA) $(srcdir)/doxyout/$$x "$(DESTDIR)$(mandir)/man$$section" ; \
1106		done < $$f ; \
1107	done ; exit 0
1108
1109uninstall-doxygen-manpage:
1110	@for a in $(PROJECTS) ; do \
1111		f="$(srcdir)/doxyout/$$a/manpages" ; \
1112		test -f $$f || continue ; \
1113		echo "removing $$a manual pages" ; \
1114		while read x ; do \
1115			section=`echo "$$x" | sed 's/.*\.\([0-9]\)/\1/'` ; \
1116			base=`basename $$x` ; \
1117			rm "$(DESTDIR)$(mandir)/man$$section/$$base" ; \
1118		done < $$f ; \
1119	done
1120
1121# Tell versions [3.59,3.63) of GNU make to not export all variables.
1122# Otherwise a system limit (for SysV at least) may be exceeded.
1123.NOEXPORT: